Subject: Bug#564917: deb-reversion: update strict versioned dependencies to match new version

From: martin f krafft <[email-masked]>
Date: Tue, 24 Jan 2012 15:16:45 +0100

also sprach Piotr Engelking <[email-masked]> [2012.01.24.0940 +0100]:
> Are there any plans to address this issue? There has never been a
> comment on the bug or on the patch (which still applies cleanly, after
> two years) by any of the maintainers. Is there anything else I can do
> to help?

I remember this patch. I think the sed call needs to be limited to
update only the version of known binary packages, else a change from
e.g. 1.0-1 to 1.0-1.1 would potentially update dependencies on other
packages.

-- 
 .''`.   martin f. krafft <[email-masked]>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
darwinism is nothing without enough dead bodies.